<?php
/*
/////////////////
Theme developed by : Shabu James
Support Email :j.shabu89@gmail.com
//////////////////
*/

/**
*Add custom stylesheet
**/
function add_awesome_portfolio_scripts() {
  wp_enqueue_style( 'style', get_stylesheet_uri() );
 
  wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css',false,'1.1','all');
  
  wp_enqueue_style( 'awesome_portfolio', get_template_directory_uri() . '/css/awesome-portfolio.css',false,'1.1','all');
  
  wp_enqueue_style( 'Font-awesome', get_template_directory_uri() . '/fonts/css/font-awesome.css',false,'1.1','all');
  
  
  //wp_enqueue_script( 'script', get_template_directory_uri() . '/js/script.js', array ( 'jquery' ), 1.1, true);
 
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'add_awesome_portfolio_scripts' );


?>
<?php
function awesome_portfolio_setup() {
	//add_title
	add_theme_support( 'title-tag' );
	//add menu
	register_nav_menus( array(
    'primary'   => esc_html__( 'Main Menu', 'awesome-portfolio-lite' ),
    'secondary' => esc_html__( 'Footer Menu', 'awesome-portfolio-lite' )
) );
	
	add_theme_support( 'custom-logo', array(
		'height'      => 80,
		'width'       => 200,
		'flex-width' => true,
	) );

	add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' );
add_theme_support( 'custom-background' );
add_theme_support( 'custom-header');
add_editor_style($stylesheet = 'editor-style.css' );
add_theme_support( 'title-tag' );
if ( ! isset( $content_width ) ) {
	$content_width = 600;
}

}
add_action( 'after_setup_theme', 'awesome_portfolio_setup' );

/*Change title seprator*/
add_filter( 'document_title_separator', 'your_custom_separator' );
function your_custom_separator( $separator ) {

    $separator = '|';

    return $separator;

}
function awesome_portfolio_free_version_widgets_init() {
	register_sidebar( array(
        'name'          => esc_html__( 'Blog Sidebar', 'awesome-portfolio-lite' ),
        'id'            => 'sidebar-2',
        'description'   => esc_html__( 'Appears on posts and pages in the sidebar.', 'awesome-portfolio-lite' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );
    register_sidebar( array(
        'name'          => esc_html__( 'Footer Widget One', 'awesome-portfolio-lite' ),
        'id'            => 'footer-widget-one',
        'description'   => esc_html__( 'Appears in the footer section of the site.', 'awesome-portfolio-lite' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );
	register_sidebar( array(
        'name'          => esc_html__( 'Footer Widget Two', 'awesome-portfolio-lite' ),
        'id'            => 'footer-widget-two',
        'description'   => esc_html__( 'Appears in the footer section of the site.', 'awesome-portfolio-lite' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );
 	register_sidebar( array(
        'name'          => esc_html__( 'Footer Widget Three', 'awesome-portfolio-lite' ),
        'id'            => 'footer-widget-three',
        'description'   => esc_html__( 'Appears in the footer section of the site.', 'awesome-portfolio-lite' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );
		register_sidebar( array(
        'name'          => esc_html__( 'Footer Widget four', 'awesome-portfolio-lite' ),
        'id'            => 'footer-widget-four',
        'description'   => esc_html__( 'Appears in the footer section of the site.', 'awesome-portfolio-lite' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );
}
add_action( 'widgets_init', 'awesome_portfolio_free_version_widgets_init' );

add_filter( 'body_class', 'custom_class' );
function custom_class( $class ) {
    if ( is_page_template( 'index.php' ) ) {
        $class[] = 'example';
    }
    return $class;
}

?>
<?php
//Numbered Pagenation 
function awesome_pagination_bar() {
    global $wp_query;
 
    $total_pages = $wp_query->max_num_pages;
 
    if ($total_pages > 1){
        $current_page = max(1, get_query_var('paged'));
 
        echo paginate_links(array(
            'base' => get_pagenum_link(1) . '%_%',
            'format' => 'page/%#%',
            'current' => $current_page,
            'total' => $total_pages,
        ));
    }
}
?>

<?php
function getPrevNext(){
	$pagelist = get_pages('sort_column=menu_order&sort_order=asc');
	$pages = array();
	foreach ($pagelist as $page) {
	   $pages[] += $page->ID;
	}

	$current = array_search(get_the_ID(), $pages);
	$prevID = $pages[$current-1];
	$nextID = $pages[$current+1];
	
	echo '<div class="navigation">';
	
	if (!empty($prevID)) {
		echo '<div class="alignleft">';
		echo '<a href="';
		echo get_permalink($prevID);
		echo '"';
		echo 'title="';
		echo get_the_title($prevID); 
		echo'">Previous</a>';
		echo "</div>";
	}
	if (!empty($nextID)) {
		echo '<div class="alignright">';
		echo '<a href="';
		echo get_permalink($nextID);
		echo '"';
		echo 'title="';
		echo get_the_title($nextID); 
		echo'">Next</a>';
		echo "</div>";		
	}
}	
?>
<?php
function footer_credits() {
	?>
 <a href="<?php echo esc_url( __( 'https://wordpress.org/', 'awesome-portfolio-lite' ) ); ?>"><?php printf( __( 'Proudly powered by %s', 'awesome-portfolio-lite' ), 'WordPress' ); ?></a>
<?php
 }
add_action( 'wp_footer', 'footer_credits', 100 );
?>
<?php
function tags_after_single_post_content($content) {

if( is_singular('post') && is_main_query() ) {

$tags = the_tags('<div class="entry-meta">Tagged with: ',' . ','</div>'); 
    }
return $content;
}
add_filter( 'awesome-portfolio-lite', 'tags_after_single_post_content' );?>
<?php

function custom_wp_link_pages( $args = '' ) {
	$defaults = array(
		'before' => '<p id="post-pagination">' . esc_html__( 'Pages:','awesome-portfolio-lite' ), 
		'after' => '</p>',
		'text_before' => '',
		'text_after' => '',
		'next_or_number' => 'number', 
		'nextpagelink' => esc_html__( 'Next page','awesome-portfolio-lite' ),
		'previouspagelink' => esc_html__( 'Previous page','awesome-portfolio-lite' ),
		'pagelink' => '%',
		'echo' => 1
	);

	$r = wp_parse_args( $args, $defaults );
	$r = apply_filters( 'wp_link_pages_args', $r );
	extract( $r, EXTR_SKIP );

	global $page, $numpages, $multipage, $more, $pagenow;

	$output = '';
	if ( $multipage ) {
		if ( 'number' == $next_or_number ) {
			$output .= $before;
			for ( $i = 1; $i < ( $numpages + 1 ); $i = $i + 1 ) {
				$j = str_replace( '%', $i, $pagelink );
				$output .= ' ';
				if ( $i != $page || ( ( ! $more ) && ( $page == 1 ) ) )
					$output .= _wp_link_page( $i );
				else
					$output .= '<span class="current-post-page">';

				$output .= $text_before . $j . $text_after;
				if ( $i != $page || ( ( ! $more ) && ( $page == 1 ) ) )
					$output .= '</a>';
				else
					$output .= '</span>';
			}
			$output .= $after;
		} else {
			if ( $more ) {
				$output .= $before;
				$i = $page - 1;
				if ( $i && $more ) {
					$output .= _wp_link_page( $i );
					$output .= $text_before . $previouspagelink . $text_after . '</a>';
				}
				$i = $page + 1;
				if ( $i <= $numpages && $more ) {
					$output .= _wp_link_page( $i );
					$output .= $text_before . $nextpagelink . $text_after . '</a>';
				}
				$output .= $after;
			}
		}
	}

	if ( $echo )
		echo $output;

	return $output;
}
?>
<?php
function awesome_portfolio_customize_register( $wp_customize ) {
    
    //Adding a section
    $wp_customize->add_section(
                        'topbar_setting_section',
                        array(
                            'title' => 'Top Bar',
                            'description' => 'In this session you can change all topbar options',
                            'priority' => 9999,
                        )
    );
    
    //Add a setting
    $wp_customize->add_setting(
                    'topbar_phone_no',
                    array(
                         'default' => '(555) 5555 5555',
                    ),array('sanitize_callback' => '__return_false',) 
    );
    
    //Add control
     $wp_customize->add_control(
                    'topbar_phone_no',
                    array(
                        'label' => 'Phone No',
                        'section' => 'topbar_setting_section',
                        'type' => 'text',
                    )
    );
	//Add a setting
    $wp_customize->add_setting(
                    'topbar_email_id',
                    array(
                         'default' => 'demo@gmail.com',
                    ),array('sanitize_callback' => '__return_false',) 
    );
    
    //Add control
     $wp_customize->add_control(
                    'topbar_email_id',
                    array(
                        'label' => 'Email Id',
                        'section' => 'topbar_setting_section',
                        'type' => 'text',
                    )
    );
	//social 1
	
	//Add a setting
    $wp_customize->add_setting(
                    'topbar_social_icon_1',
                    array(
                         'default' => 'fa fa-facebook',
                    ),array('sanitize_callback' => '__return_false',) 
    );
    
    //Add control
     $wp_customize->add_control(
                    'topbar_social_icon_1',
                    array(
                        'label' => 'Social icon 1',
                        'section' => 'topbar_setting_section',
                        'type' => 'text',
                    )
    );
		//Add a setting
    $wp_customize->add_setting(
                    'topbar_social_link_1',
                    array(
                         'default' => 'https://www.facebook.com/',
                    ),array('sanitize_callback' => '__return_false',) 
    );
    
    //Add control
     $wp_customize->add_control(
                    'topbar_social_link_1',
                    array(
                        'label' => 'Social link 1',
                        'section' => 'topbar_setting_section',
                        'type' => 'text',
                    )
    );
	
	//social 2
	
	//Add a setting
    $wp_customize->add_setting(
                    'topbar_social_icon_2',
                    array(
                         'default' => 'fa fa-google-plus',
                    ),array('sanitize_callback' => '__return_false',) 
    );
    
    //Add control
     $wp_customize->add_control(
                    'topbar_social_icon_2',
                    array(
                        'label' => 'Social icon 2',
                        'section' => 'topbar_setting_section',
                        'type' => 'text',
                    )
    );
		//Add a setting
    $wp_customize->add_setting(
                    'topbar_social_link_2',
                    array(
                         'default' => 'https://www.google.com/',
                    ),array('sanitize_callback' => '__return_false',) 
    );
    
    //Add control
     $wp_customize->add_control(
                    'topbar_social_link_2',
                    array(
                        'label' => 'Social link 2',
                        'section' => 'topbar_setting_section',
                        'type' => 'text',
                    )
    );
	//social 3
	
	//Add a setting
    $wp_customize->add_setting(
                    'topbar_social_icon_3',
                    array(
                         'default' => 'fa fa-twitter',
                    ),array('sanitize_callback' => '__return_false',) 
    );
    
    //Add control
     $wp_customize->add_control(
                    'topbar_social_icon_3',
                    array(
                        'label' => 'Social icon 3',
                        'section' => 'topbar_setting_section',
                        'type' => 'text',
                    )
    );
		//Add a setting
    $wp_customize->add_setting(
                    'topbar_social_link_3',
                    array(
                         'default' => 'https://www.twitter.com/',
                    ),array('sanitize_callback' => '__return_false',) 
    );
    
    //Add control
     $wp_customize->add_control(
                    'topbar_social_link_3',
                    array(
                        'label' => 'Social link 3',
                        'section' => 'topbar_setting_section',
                        'type' => 'text',
                    )
    );
	//social 4
	
	//Add a setting
    $wp_customize->add_setting(
                    'topbar_social_icon_4',
                    array(
                         'default' => 'fa fa-linkedin ',
                    ),array('sanitize_callback' => '__return_false',) 
    );
    
    //Add control
     $wp_customize->add_control(
                    'topbar_social_icon_4',
                    array(
                        'label' => 'Social icon 4',
                        'section' => 'topbar_setting_section',
                        'type' => 'text',
                    )
    );
		//Add a setting
    $wp_customize->add_setting(
                    'topbar_social_link_4',
                    array(
                         'default' => 'https://www.linkedin.com/',
                    ),array('sanitize_callback' => '__return_false',) 
    );
    
    //Add control
     $wp_customize->add_control(
                    'topbar_social_link_4',
                    array(
                        'label' => 'Social link 4',
                        'section' => 'topbar_setting_section',
                        'type' => 'text',
                    )
    );
}
add_action( 'customize_register' , 'awesome_portfolio_customize_register' );

function awesome_portfolio_slider_customize_register( $wp_customize ) {
    
    //Adding a section
    $wp_customize->add_section(
                        'slider_setting_section',
                        array(
                            'title' => 'Slider',
                            'description' => 'In this session you can paste shortcode of slider plugin so that it will appear in homepage',
                            'priority' => 500,
                        )
    );
    
    //Add a setting
    $wp_customize->add_setting(
                    'awesome_slider',
                    array(
                         'default' => 'Paste your shortcode in Apperance customize slider',
                    ),array('sanitize_callback' => '__return_false',) 
    );
	    //Add control
     $wp_customize->add_control(
                    'awesome_slider',
                    array(
                        'label' => 'slider',
                        'section' => 'slider_setting_section',
                        'type' => 'text',
                    )
    );
}
add_action( 'customize_register' , 'awesome_portfolio_slider_customize_register' );
?>
