<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	<?php
	//old version wordpress
	if ( ! function_exists( '_wp_render_title_tag' ) ) {
	function theme_slug_render_title() {
	?>
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<?php
		}
		add_action( 'wp_head', 'theme_slug_render_title' );
	}
	?>
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
        <?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
        <?php wp_head(); ?>
    </head>
<body <?php body_class(); ?>>
 <div class="container-fluid">
        <div class="row">
            <div class="header-topbar">
                <div class="container">
                    <div class="row">
                        <div class="col-md-6 col-sm-6 col-xs-6">
                            <div class="row">
                                <div class="col-md-3 col-sm-5 col-xs-5">
                                    <div class="row">
                                        <i class="fa fa-envelope topbar-icons text-white info-bar"><a href="mailto:<?php echo get_theme_mod( 'topbar_email_id'); ?>">&nbsp;<?php echo get_theme_mod( 'topbar_email_id'); ?></a></i>
                                    </div>
                                </div>
                                <div class="col-md-3 col-sm-6 hidden-xs">
                                    <div class="row">
                                        <i class="fa fa-phone topbar-icons text-white info-bar"><a href="tel:<?php echo get_theme_mod( 'topbar_phone_no'); ?>">&nbsp;<?php echo get_theme_mod( 'topbar_phone_no'); ?></a></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-6 col-xs-6">
                            <div class="row">
                                <div class="pull-right">
                                    <div class="topbar-icons">
                                        <a href="<?php echo get_theme_mod( 'topbar_social_link_1'); ?>"><i class="<?php echo get_theme_mod( 'topbar_social_icon_1'); ?> icon-padding" aria-hidden="true"></i></a>
                                    </div>
                                    <div class="topbar-icons">
                                        <a href="<?php echo get_theme_mod( 'topbar_social_link_2'); ?>"><i class="<?php echo get_theme_mod( 'topbar_social_icon_2'); ?> icon-padding" aria-hidden="true"></i></a>
                                    </div>
                                    <div class="topbar-icons">
                                        <a href="<?php echo get_theme_mod( 'topbar_social_link_3'); ?>"><i class="<?php echo get_theme_mod( 'topbar_social_icon_3'); ?> icon-padding" aria-hidden="true"></i></a>
                                    </div>
                                    <div class="topbar-icons">
                                        <a href="<?php echo get_theme_mod( 'topbar_social_link_4'); ?>"><i class="<?php echo get_theme_mod( 'topbar_social_icon_4'); ?> icon-padding" aria-hidden="true"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <nav id="navbar-main" class="navbar navbar-rjp">
                <div class="container">
                    <div class="row">
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
							<?php $custom_logo_id = get_theme_mod( 'custom_logo' );
								  $image = wp_get_attachment_image_src( $custom_logo_id , 'full' );
								$alt_text = get_post_meta($custom_logo_id , '_wp_attachment_image_alt', true);
							?>	
							<a href="<?php echo get_home_url(); ?>"><img src="<?php echo $image[0]; ?>" class="img-responsive awesome-logo" alt="<?php echo $alt_text; ?>"/></a>
                        </div>
                        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                            <ul class="nav navbar-nav navbar-right">
                                <li><?php wp_nav_menu( array(
								'theme_location' => 'primary',
								'menu_class'     => 'nav navbar-nav navbar-right',
								'container_class' => 'main-nav',
								) );
								?>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </nav>
		</div>
	</div>